com.sun.jna.platform.win32

## Class WinPerf.PERF_COUNTER_DEFINITION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinPerf.PERF_COUNTER_DEFINITION

- Enclosing interface:
    WinPerf

      @Structure.FieldOrder(value={"ByteLength","CounterNameTitleIndex","CounterNameTitle","CounterHelpTitleIndex","CounterHelpTitle","DefaultScale","DetailLevel","CounterType","CounterSize","CounterOffset"})
      public static class WinPerf.PERF_COUNTER_DEFINITION
      extends Structure

  Describes a performance counter.
  See Also:
    PERF_COUNTER_DEFINITION

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `ByteLength`
    `int` | `CounterHelpTitle`
    `int` | `CounterHelpTitleIndex`
    `int` | `CounterNameTitle`
    `int` | `CounterNameTitleIndex`
    `int` | `CounterOffset`
    `int` | `CounterSize`
    `int` | `CounterType`
    `int` | `DefaultScale`
    `int` | `DetailLevel`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PERF_COUNTER_DEFINITION()`
    `PERF_COUNTER_DEFINITION(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ByteLength

          public int ByteLength

    - #### CounterNameTitleIndex

          public int CounterNameTitleIndex

    - #### CounterNameTitle

          public int CounterNameTitle

    - #### CounterHelpTitleIndex

          public int CounterHelpTitleIndex

    - #### CounterHelpTitle

          public int CounterHelpTitle

    - #### DefaultScale

          public int DefaultScale

    - #### DetailLevel

          public int DetailLevel

    - #### CounterType

          public int CounterType

    - #### CounterSize

          public int CounterSize

    - #### CounterOffset

          public int CounterOffset

  - ### Constructor Detail

    - #### PERF_COUNTER_DEFINITION

          public PERF_COUNTER_DEFINITION()

    - #### PERF_COUNTER_DEFINITION

          public PERF_COUNTER_DEFINITION(Pointer p)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.